{ config, pkgs, ... }:

{
  users.users.buildfarmer = {
    isNormalUser = false;
    description = "User for remote Nix builds";
    useDefaultShell = true;
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMwS9B/d6QJUyZW9b52R2TlJgkI5oGDyOvzMN7H9Cz4/ hydra@hydra"
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAINA3x2+5ieo5QgehFHqXCYAYZSP8dxXyE1E/fSLnny8y root@serve7"
    ];
  };

  nix.trustedUsers = [ "buildfarmer" ];
}
